| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jctrans.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
struct | my_coef_controller

## Macros
#define | JPEG_INTERNALS

## Typedefs
typedef my_coef_controller * | my_coef_ptr

## Functions
| LOCAL (void)
| jpeg_copy_critical_parameters (j_decompress_ptr srcinfo, j_compress_ptr dstinfo)
| transencode_master_selection (j_compress_ptr cinfo, jvirt_barray_ptr *coef_arrays)
| start_iMCU_row (j_compress_ptr cinfo)
| start_pass_coef (j_compress_ptr cinfo, J_BUF_MODE pass_mode)
| compress_output (j_compress_ptr cinfo, JSAMPIMAGE input_buf)
| transencode_coef_controller (j_compress_ptr cinfo, jvirt_barray_ptr *coef_arrays)

## Macro Definition Documentation

#define JPEG_INTERNALS

Definition at line 13 of file jctrans.c.

## Typedef Documentation

typedef my_coef_controller* my_coef_ptr

Definition at line 223 of file jctrans.c.

## Function Documentation

compress_output | ( | j_compress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf
| ) |  |

Definition at line 278 of file jctrans.c.

jpeg_copy_critical_parameters | ( | j_decompress_ptr | srcinfo,
|  | j_compress_ptr | dstinfo
| ) |  |

Definition at line 63 of file jctrans.c.

LOCAL | ( | void |  | ) |

Definition at line 19 of file jctrans.c.

start_iMCU_row | ( | j_compress_ptr | cinfo | ) |

Definition at line 227 of file jctrans.c.

start_pass_coef | ( | j_compress_ptr | cinfo,
|  | J_BUF_MODE | pass_mode
| ) |  |

Definition at line 255 of file jctrans.c.

transencode_coef_controller | ( | j_compress_ptr | cinfo,
|  | jvirt_barray_ptr * | coef_arrays
| ) |  |

Definition at line 363 of file jctrans.c.

transencode_master_selection | ( | j_compress_ptr | cinfo,
|  | jvirt_barray_ptr * | coef_arrays
| ) |  |

Definition at line 158 of file jctrans.c.